function result = filter_bk_neurite( neurite, soma )
% Use this function to remove edge effects caused by background noise. 
% Don't use it, if the neurites of dead neurons should be counted.
% Use another function filter_short_edge to remove short neurite-like
% edges, which may be caused by bk noise.

temp = bwlabel( neurite );
attached = unique( double(temp) .* double(imdilate(soma>0, strel('disk', 2) )) );
attached = attached(2:end);

result = zeros( size( neurite ) );
for k = 1 : length( attached )
    result = result + (temp == attached(k));
end